Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 22 Mar 2021 01:40:27 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have ordered 3 items before 10 days11-Mar-2021 but the items are not delivered to me so far.
I have communicated with your customer care tam on last week Wednesday and they replied to me "Need 5 business day to deliver" OKAY i agreed with that but now it's more that what they said.
On the next dayThursday 18-Mar-2021 i have contacted them again then they said "Our team contacted and sent an email to the courier and they agreed to deliver to you by the end of the day but so far not even one call from the courier.
I don't understand how irresponsible Splash online\Landmark Arabia and you're not respecting the customers money and TIME. 
If you guys can't deliver any item on agreed time you've supposed to contact me. Right? because you've already took my money unless deliver the items.
So give me an appropriate reason for the delay and deliver the item today before 6.00 PM as i don't want to wait anymore for your product. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2280827